@import "../../../styles/variables";

.InfoPanel {
  position: absolute;
  right: 0;
  top: 0;
  width: 30rem;
  min-height: 100%;
  background-color: $highlight-color;
  color: $dark-color-1;
  z-index: 7;
  transition: all 0.3s ease-in-out;
  box-shadow: none;
  transform: translate(100%);

  &-btn-show {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    left: -4rem;
    height: 3rem;
    font-size: 1.5rem;
    font-weight: 700;
    color: $dark-color-1;
    background-color: transparent;
    border-radius: 2px;
    //box-shadow: $box-shadow-1;
    cursor: pointer;
    overflow: hidden;
    transition: opacity 0.3s ease-out;
    transition-delay: 0.3s;
    opacity: 1;
  }

  &-btn-hide {
    position: absolute;
    right: 0rem;
    top: 0rem;
    min-width: 4rem;
    min-height: 4rem;
    font-size: 1.5rem;
    box-shadow: none;
    color: $dark-color-1;
    background-color: transparent;
    font-weight: 400;
  }

  &-body {
    overflow: auto;
    padding: 1rem;
    min-height: 100%;

    h1 {
      margin: 0rem 2rem 1rem 0rem;
      font-size: 1.25rem;
      line-height: 2rem;
    }
  }
}

.InfoPanel.show {
  transform: translate(0);
  box-shadow: $box-shadow-1;
  .InfoPanel-btn-show {
    left: 105%;
    opacity: 0;
  }
}

@media only screen and (max-width: 640px) {
  .InfoPanel {
    width: 100%;
  }
}
